@import "breakpoints";

@mixin customScroll($color, $background, $size: 2px) {
  scrollbar-width: thin;
  scrollbar-color: $color $background;

  &::-webkit-scrollbar {
    width: $size;
    height: $size;
    border-radius: 4px;
  }

  &::-webkit-scrollbar-track {
    background: $background;
    border-radius: 4px;
  }

  &::-webkit-scrollbar-thumb {
    background: $color;
    border-radius: 4px;
  }

  &::-webkit-scrollbar-thumb:hover {
    background: $color;
  }
}
